package com.goafanti.cognizance.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.goafanti.cognizance.service.OrgCognizanceLogService;
import com.goafanti.common.dao.OrgCognizanceLogMapper;
import com.goafanti.common.model.OrgCognizanceLog;
@Service
public class OrgCognizanceLogServiceImpl implements OrgCognizanceLogService {
	@Autowired
	private OrgCognizanceLogMapper orgCognizanceLogMapper;

	@Override
	public List<OrgCognizanceLog> selectOrgCognizanceLogByCid(String cid) {
		return orgCognizanceLogMapper.selectOrgCognizanceLogByCid(cid);
	}

	@Override
	public OrgCognizanceLog insert(OrgCognizanceLog log) {
		orgCognizanceLogMapper.insert(log);
		return log;
	}

}
